egl.defineClass(
   'utils', 'LocalStorage',{
      "constructor" : function() { 
      },
      "isSupported" : function(){
    	  if("localStorage" in window){
    		  return true;
    	  }else{
    		  return false;
    	  }
      },
      "length" : function(){
    	  return new egl.javascript.BigDecimal(localStorage.length);
      },
      "getName" : function(keynum){
    	  return localStorage.key(keynum);
      },
      "getValue" : function(key){
    	  var s = localStorage.getItem(key);
    	  return s;
      },
      "setValue" : function(key,value){
    	  localStorage.setItem(key,value);
      },
      "removeValue" : function(key){
    	  localStorage.removeItem(key);
      },
      "clear" : function(){
    	  localStorage.clear();
      },
      "getAllNames" : function(){
    	  var keys = new Array();
    	  for (var i=0, len=localStorage.length; i<len; i++) {
    		  var key = localStorage.key(i);
    		  //var value = localStorage[key];
    		  keys.push(key);
    	  }
    	  return keys;
      }
    }
);
