define(["org/eclipse/edt/rui/widgets/GridLayout", "client/LocalStorageLib", "eglx/ui/rui/eze$$Widget", "org/eclipse/edt/rui/widgets/HTML", "org/eclipse/edt/rui/widgets/GridLayoutData", "client/BrowserLib"],function(){
	egl.loadCSS("css/browser.css");
	egl.defineRUIWidget('client', 'BrowserInfo',
	{
		'eze$$fileName': 'client/BrowserInfo.egl',
		'eze$$runtimePropertiesFile': 'client.BrowserInfo',
			"constructor": function() {
				new egl.client.LocalStorageLib();
				new egl.client.BrowserLib();
				this.start();
			}
			,
			"eze$$setEmpty": function() {
				new egl.client.LocalStorageLib();
				new egl.client.BrowserLib();
				this.ui = new egl.org.eclipse.edt.rui.widgets.GridLayout();
				this.title = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_device = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_device = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_viewport = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_viewport = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_document = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_document = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_screen = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_screen = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_touch = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_touch = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.lbl_LocalStorage = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.fld_LocalStorage = new egl.org.eclipse.edt.rui.widgets.HTML();
			}
			,
			"eze$$setInitial": function() {
				this.eze$$setEmpty();
				this.ui.setColumns(2);
				this.ui.setRows(6);
				this.ui.setCellPadding(4);
				this.ui.setChildren([egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.title,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_device,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_device,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_viewport,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_viewport,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_document,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_document,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_screen,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_screen,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_touch,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_touch,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.lbl_LocalStorage,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.fld_LocalStorage,"org.eclipse.edt.rui.widgets.HTML"])].setType("[Teglx/ui/rui/Widget;"));
				var eze$LNNTemp1 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 1;
					eze$SettingTarget1.column = 1;
					eze$SettingTarget1.horizontalSpan = 2;
					eze$LNNTemp1 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp1);
				}
				this.title.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp1.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.title.setText("<h1>Browser Info</h1>");
				var eze$LNNTemp2 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 2;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp2 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp2);
				}
				this.lbl_device.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp2.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_device.setText("Device (height x width)");
				var eze$LNNTemp3 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 2;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp3 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp3);
				}
				this.fld_device.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp3.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				var eze$LNNTemp4 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 3;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp4 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp4);
				}
				this.lbl_viewport.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp4.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_viewport.setText("Viewport (height x width)");
				var eze$LNNTemp5 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 3;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp5 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp5);
				}
				this.fld_viewport.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp5.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				var eze$LNNTemp6 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 4;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp6 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp6);
				}
				this.lbl_document.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp6.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_document.setText("Document (height x width)");
				var eze$LNNTemp7 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 4;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp7 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp7);
				}
				this.fld_document.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp7.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				var eze$LNNTemp8 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 5;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp8 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp8);
				}
				this.lbl_screen.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp8.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_screen.setText("Page offset (X:Y)");
				var eze$LNNTemp9 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 5;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp9 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp9);
				}
				this.fld_screen.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp9.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				var eze$LNNTemp10 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 6;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp10 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp10);
				}
				this.lbl_touch.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp10.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_touch.setText("Touch capable device");
				var eze$LNNTemp11 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 6;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp11 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp11);
				}
				this.fld_touch.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp11.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				var eze$LNNTemp12 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 7;
					eze$SettingTarget1.column = 1;
					eze$LNNTemp12 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp12);
				}
				this.lbl_LocalStorage.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp12.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.lbl_LocalStorage.setText("LocalStorage supported");
				var eze$LNNTemp13 = null;
				{
					var eze$SettingTarget1 = new egl.org.eclipse.edt.rui.widgets.GridLayoutData();
					eze$SettingTarget1 = egl.eglx.lang.AnyValue.ezeCopyTo(new egl.org.eclipse.edt.rui.widgets.GridLayoutData(), eze$SettingTarget1);
					eze$SettingTarget1.row = 7;
					eze$SettingTarget1.column = 2;
					eze$LNNTemp13 = egl.eglx.lang.AnyValue.ezeCopyTo(eze$SettingTarget1, eze$LNNTemp13);
				}
				this.fld_LocalStorage.setLayoutData(egl.eglx.lang.convert(egl.eglx.lang.EAny.fromEAny, [eze$LNNTemp13.eze$$clone(),"Torg/eclipse/edt/rui/widgets/GridLayoutData;"]));
				this.targetWidget = egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ui,"org.eclipse.edt.rui.widgets.GridLayout"]);
			}
			,
			"eze$$clone": function() {
				var ezert$$1 = this;
				var ezert$$2 = new egl.client.BrowserInfo();
				ezert$$2.ui = ezert$$1.ui === null ? null : ezert$$1.ui.eze$$clone();
				ezert$$2.title = ezert$$1.title === null ? null : ezert$$1.title.eze$$clone();
				ezert$$2.lbl_device = ezert$$1.lbl_device === null ? null : ezert$$1.lbl_device.eze$$clone();
				ezert$$2.fld_device = ezert$$1.fld_device === null ? null : ezert$$1.fld_device.eze$$clone();
				ezert$$2.lbl_viewport = ezert$$1.lbl_viewport === null ? null : ezert$$1.lbl_viewport.eze$$clone();
				ezert$$2.fld_viewport = ezert$$1.fld_viewport === null ? null : ezert$$1.fld_viewport.eze$$clone();
				ezert$$2.lbl_document = ezert$$1.lbl_document === null ? null : ezert$$1.lbl_document.eze$$clone();
				ezert$$2.fld_document = ezert$$1.fld_document === null ? null : ezert$$1.fld_document.eze$$clone();
				ezert$$2.lbl_screen = ezert$$1.lbl_screen === null ? null : ezert$$1.lbl_screen.eze$$clone();
				ezert$$2.fld_screen = ezert$$1.fld_screen === null ? null : ezert$$1.fld_screen.eze$$clone();
				ezert$$2.lbl_touch = ezert$$1.lbl_touch === null ? null : ezert$$1.lbl_touch.eze$$clone();
				ezert$$2.fld_touch = ezert$$1.fld_touch === null ? null : ezert$$1.fld_touch.eze$$clone();
				ezert$$2.lbl_LocalStorage = ezert$$1.lbl_LocalStorage === null ? null : ezert$$1.lbl_LocalStorage.eze$$clone();
				ezert$$2.fld_LocalStorage = ezert$$1.fld_LocalStorage === null ? null : ezert$$1.fld_LocalStorage.eze$$clone();
				return ezert$$2;
			}
			,
			"eze$$getFieldSignatures": function() {
				if(this.fieldSigs === undefined){
					this.fieldSigs = [
					{name: "ui", sig: "org.eclipse.edt.rui.widgets.GridLayout"},
					{name: "title", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_device", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_device", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_viewport", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_viewport", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_document", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_document", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_screen", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_screen", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_touch", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_touch", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "lbl_LocalStorage", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "fld_LocalStorage", sig: "org.eclipse.edt.rui.widgets.HTML"}];
				}
				return this.fieldSigs;
			}
			,
			"eze$$getAnnotations": function() {
				if(this.annotations === undefined){
					this.annotations = {};
					this.annotations["XMLRootElement"] = new egl.eglx.xml.binding.annotation.XMLRootElement("BrowserInfo", null, false);
				}
				return this.annotations;
			}
			,
			"eze$$getFieldInfos": function() {
				if(this.fieldInfos === undefined){
					var annotations;
					this.fieldInfos = new Array();
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ui", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ui");
					this.fieldInfos[0] =new egl.eglx.services.FieldInfo("ui", "ui", "org.eclipse.edt.rui.widgets.GridLayout", egl.org.eclipse.edt.rui.widgets.GridLayout, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("title", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("title");
					this.fieldInfos[1] =new egl.eglx.services.FieldInfo("title", "title", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_device", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_device");
					this.fieldInfos[2] =new egl.eglx.services.FieldInfo("lbl_device", "lbl_device", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_device", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_device");
					this.fieldInfos[3] =new egl.eglx.services.FieldInfo("fld_device", "fld_device", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_viewport", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_viewport");
					this.fieldInfos[4] =new egl.eglx.services.FieldInfo("lbl_viewport", "lbl_viewport", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_viewport", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_viewport");
					this.fieldInfos[5] =new egl.eglx.services.FieldInfo("fld_viewport", "fld_viewport", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_document", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_document");
					this.fieldInfos[6] =new egl.eglx.services.FieldInfo("lbl_document", "lbl_document", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_document", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_document");
					this.fieldInfos[7] =new egl.eglx.services.FieldInfo("fld_document", "fld_document", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_screen", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_screen");
					this.fieldInfos[8] =new egl.eglx.services.FieldInfo("lbl_screen", "lbl_screen", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_screen", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_screen");
					this.fieldInfos[9] =new egl.eglx.services.FieldInfo("fld_screen", "fld_screen", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_touch", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_touch");
					this.fieldInfos[10] =new egl.eglx.services.FieldInfo("lbl_touch", "lbl_touch", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_touch", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_touch");
					this.fieldInfos[11] =new egl.eglx.services.FieldInfo("fld_touch", "fld_touch", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("lbl_LocalStorage", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("lbl_LocalStorage");
					this.fieldInfos[12] =new egl.eglx.services.FieldInfo("lbl_LocalStorage", "lbl_LocalStorage", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("fld_LocalStorage", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("fld_LocalStorage");
					this.fieldInfos[13] =new egl.eglx.services.FieldInfo("fld_LocalStorage", "fld_LocalStorage", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
				}
				return this.fieldInfos;
			}
			,
			"start": function() {
				this.refresh();
			}
			,
			"refresh": function() {
				this.fld_device.setText(((((egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getDeviceHeight()])) + " x ")) + egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getDeviceWidth()])));
				this.fld_viewport.setText(((((egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getViewportHeight()])) + " x ")) + egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getViewportWidth()])));
				this.fld_document.setText(((((egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getDocumentHeight()])) + " x ")) + egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getDocumentWidth()])));
				this.fld_screen.setText(((((egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getPageXOffset()])) + " : ")) + egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [egl.client.BrowserLib['$inst'].getPageYOffset()])));
				this.fld_touch.setText(egl.eglx.lang.convert(egl.eglx.lang.EString.fromEBoolean, [egl.client.BrowserLib['$inst'].isTouchDevice()]));
				this.fld_LocalStorage.setText(egl.eglx.lang.convert(egl.eglx.lang.EString.fromEBoolean, [egl.client.LocalStorageLib['$inst'].isSupported()]));
			}
			,
			"toString": function() {
				return "[BrowserInfo]";
			}
		}
	);
});
