define(["client/BrowserSampleMessages", "org/eclipse/edt/rui/widgets/Div", "org/eclipse/edt/rui/widgets/HTML", "eglx/ui/rui/eze$$Event", "client/BrowserInfo", "org/eclipse/edt/rui/widgets/Button", "eglx/ui/rui/eze$$View", "client/BrowserLib"],function(){
	egl.loadCSS("css/browser.css");
	egl.defineRUIHandler("client", "BrowserSample", {
		"eze$$fileName" : "client/BrowserSample.egl",
		"eze$$runtimePropertiesFile" : "client/BrowserSample",
			"constructor": function() {
				this.start();
			}
			,
			"eze$$setEmpty": function() {
				new egl.client.BrowserSampleMessages();
				new egl.client.BrowserLib();
				this.ui = new egl.org.eclipse.edt.rui.widgets.Div();
				this.info = new egl.client.BrowserInfo();
				this.manualRefresh = new egl.org.eclipse.edt.rui.widgets.Button();
				this.autoRefresh = new egl.org.eclipse.edt.rui.widgets.Button();
				this.onClose = new egl.org.eclipse.edt.rui.widgets.Button();
				this.onCloseMessage = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.onResizeMessage = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ChangeHistory = new egl.org.eclipse.edt.rui.widgets.Div();
				this.ch_Title = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_3_2 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_3_1 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_2_4 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_2_3 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_2_2 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_2_1 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.ch_v0_1_1 = new egl.org.eclipse.edt.rui.widgets.HTML();
				this.automaticRefresh = false;
				this.showConfirmation = false;
				this.resizeCount = 0;
			}
			,
			"eze$$setInitial": function() {
				this.eze$$setEmpty();
				this.ui.setChildren([egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.info,"client.BrowserInfo"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.manualRefresh,"org.eclipse.edt.rui.widgets.Button"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.autoRefresh,"org.eclipse.edt.rui.widgets.Button"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.onClose,"org.eclipse.edt.rui.widgets.Button"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.onCloseMessage,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.onResizeMessage,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ChangeHistory,"org.eclipse.edt.rui.widgets.Div"])].setType("[Teglx/ui/rui/Widget;"));
				this.manualRefresh.setText(egl.client.BrowserSampleMessages['$inst'].ManualRefresh);
				this.manualRefresh.getOnClick().appendElement(new egl.egl.jsrt.Delegate(this, egl.client.BrowserSample.prototype.manualRefresh_onClick, ""));
				this.autoRefresh.setText(egl.client.BrowserSampleMessages['$inst'].AutoRefreshOn);
				this.autoRefresh.getOnClick().appendElement(new egl.egl.jsrt.Delegate(this, egl.client.BrowserSample.prototype.autoRefresh_onClick, ""));
				this.onClose.setText(egl.client.BrowserSampleMessages['$inst'].ButtonShowConfirmation);
				this.onClose.getOnClick().appendElement(new egl.egl.jsrt.Delegate(this, egl.client.BrowserSample.prototype.onClose_onClick, ""));
				this.onCloseMessage.setText(egl.client.BrowserSampleMessages['$inst'].OnCloseDoNotShowConfirmation);
				this.onResizeMessage.setText("");
				this.ChangeHistory.setChildren([egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_Title,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_3_2,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_3_1,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_2_4,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_2_3,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_2_2,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_2_1,"org.eclipse.edt.rui.widgets.HTML"]), egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ch_v0_1_1,"org.eclipse.edt.rui.widgets.HTML"])].setType("[Teglx/ui/rui/Widget;"));
				this.ch_Title.setText(egl.client.BrowserSampleMessages['$inst'].ChangeHistory);
				this.ch_v0_3_2.setText(egl.client.BrowserSampleMessages['$inst'].v0_3_2);
				this.ch_v0_3_1.setText(egl.client.BrowserSampleMessages['$inst'].v0_3_1);
				this.ch_v0_2_4.setText(egl.client.BrowserSampleMessages['$inst'].v0_2_4);
				this.ch_v0_2_3.setText(egl.client.BrowserSampleMessages['$inst'].v0_2_3);
				this.ch_v0_2_2.setText(egl.client.BrowserSampleMessages['$inst'].v0_2_2);
				this.ch_v0_2_1.setText(egl.client.BrowserSampleMessages['$inst'].v0_2_1);
				this.ch_v0_1_1.setText(egl.client.BrowserSampleMessages['$inst'].v0_1_1);
				this.automaticRefresh = true;
				this.initialUI = [egl.eglx.lang.convert(egl.eglx.ui.rui.Widget.fromWidget, [this.ui,"org.eclipse.edt.rui.widgets.Div"])].setType("[Teglx/ui/rui/Widget;");
			}
			,
			"eze$$clone": function() {
				var ezert$$1 = this;
				var ezert$$2 = new egl.client.BrowserSample();
				ezert$$2.ui = ezert$$1.ui === null ? null : ezert$$1.ui.eze$$clone();
				ezert$$2.info = ezert$$1.info === null ? null : ezert$$1.info.eze$$clone();
				ezert$$2.manualRefresh = ezert$$1.manualRefresh === null ? null : ezert$$1.manualRefresh.eze$$clone();
				ezert$$2.autoRefresh = ezert$$1.autoRefresh === null ? null : ezert$$1.autoRefresh.eze$$clone();
				ezert$$2.onClose = ezert$$1.onClose === null ? null : ezert$$1.onClose.eze$$clone();
				ezert$$2.onCloseMessage = ezert$$1.onCloseMessage === null ? null : ezert$$1.onCloseMessage.eze$$clone();
				ezert$$2.onResizeMessage = ezert$$1.onResizeMessage === null ? null : ezert$$1.onResizeMessage.eze$$clone();
				ezert$$2.ChangeHistory = ezert$$1.ChangeHistory === null ? null : ezert$$1.ChangeHistory.eze$$clone();
				ezert$$2.ch_Title = ezert$$1.ch_Title === null ? null : ezert$$1.ch_Title.eze$$clone();
				ezert$$2.ch_v0_3_2 = ezert$$1.ch_v0_3_2 === null ? null : ezert$$1.ch_v0_3_2.eze$$clone();
				ezert$$2.ch_v0_3_1 = ezert$$1.ch_v0_3_1 === null ? null : ezert$$1.ch_v0_3_1.eze$$clone();
				ezert$$2.ch_v0_2_4 = ezert$$1.ch_v0_2_4 === null ? null : ezert$$1.ch_v0_2_4.eze$$clone();
				ezert$$2.ch_v0_2_3 = ezert$$1.ch_v0_2_3 === null ? null : ezert$$1.ch_v0_2_3.eze$$clone();
				ezert$$2.ch_v0_2_2 = ezert$$1.ch_v0_2_2 === null ? null : ezert$$1.ch_v0_2_2.eze$$clone();
				ezert$$2.ch_v0_2_1 = ezert$$1.ch_v0_2_1 === null ? null : ezert$$1.ch_v0_2_1.eze$$clone();
				ezert$$2.ch_v0_1_1 = ezert$$1.ch_v0_1_1 === null ? null : ezert$$1.ch_v0_1_1.eze$$clone();
				ezert$$2.automaticRefresh = ezert$$1.automaticRefresh;
				ezert$$2.showConfirmation = ezert$$1.showConfirmation;
				ezert$$2.resizeCount = ezert$$1.resizeCount;
				return ezert$$2;
			}
			,
			"eze$$getFieldSignatures": function() {
				if(this.fieldSigs === undefined){
					this.fieldSigs = [
					{name: "ui", sig: "org.eclipse.edt.rui.widgets.Div"},
					{name: "info", sig: "client.BrowserInfo"},
					{name: "manualRefresh", sig: "org.eclipse.edt.rui.widgets.Button"},
					{name: "autoRefresh", sig: "org.eclipse.edt.rui.widgets.Button"},
					{name: "onClose", sig: "org.eclipse.edt.rui.widgets.Button"},
					{name: "onCloseMessage", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "onResizeMessage", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ChangeHistory", sig: "org.eclipse.edt.rui.widgets.Div"},
					{name: "ch_Title", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_3_2", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_3_1", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_2_4", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_2_3", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_2_2", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_2_1", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "ch_v0_1_1", sig: "org.eclipse.edt.rui.widgets.HTML"},
					{name: "automaticRefresh", sig: "0;"},
					{name: "showConfirmation", sig: "0;"},
					{name: "resizeCount", sig: "I;"}];
				}
				return this.fieldSigs;
			}
			,
			"eze$$getAnnotations": function() {
				if(this.annotations === undefined){
					this.annotations = {};
					this.annotations["XMLRootElement"] = new egl.eglx.xml.binding.annotation.XMLRootElement("BrowserSample", null, false);
				}
				return this.annotations;
			}
			,
			"eze$$getFieldInfos": function() {
				if(this.fieldInfos === undefined){
					var annotations;
					this.fieldInfos = new Array();
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ui", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ui");
					this.fieldInfos[0] =new egl.eglx.services.FieldInfo("ui", "ui", "org.eclipse.edt.rui.widgets.Div", egl.org.eclipse.edt.rui.widgets.Div, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("info", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("info");
					this.fieldInfos[1] =new egl.eglx.services.FieldInfo("info", "info", "client.BrowserInfo", egl.client.BrowserInfo, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("manualRefresh", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("manualRefresh");
					this.fieldInfos[2] =new egl.eglx.services.FieldInfo("manualRefresh", "manualRefresh", "org.eclipse.edt.rui.widgets.Button", egl.org.eclipse.edt.rui.widgets.Button, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("autoRefresh", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("autoRefresh");
					this.fieldInfos[3] =new egl.eglx.services.FieldInfo("autoRefresh", "autoRefresh", "org.eclipse.edt.rui.widgets.Button", egl.org.eclipse.edt.rui.widgets.Button, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("onClose", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("onClose");
					this.fieldInfos[4] =new egl.eglx.services.FieldInfo("onClose", "onClose", "org.eclipse.edt.rui.widgets.Button", egl.org.eclipse.edt.rui.widgets.Button, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("onCloseMessage", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("onCloseMessage");
					this.fieldInfos[5] =new egl.eglx.services.FieldInfo("onCloseMessage", "onCloseMessage", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("onResizeMessage", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("onResizeMessage");
					this.fieldInfos[6] =new egl.eglx.services.FieldInfo("onResizeMessage", "onResizeMessage", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ChangeHistory", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ChangeHistory");
					this.fieldInfos[7] =new egl.eglx.services.FieldInfo("ChangeHistory", "ChangeHistory", "org.eclipse.edt.rui.widgets.Div", egl.org.eclipse.edt.rui.widgets.Div, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_Title", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_Title");
					this.fieldInfos[8] =new egl.eglx.services.FieldInfo("ch_Title", "ch_Title", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_3_2", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_3_2");
					this.fieldInfos[9] =new egl.eglx.services.FieldInfo("ch_v0_3_2", "ch_v0_3_2", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_3_1", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_3_1");
					this.fieldInfos[10] =new egl.eglx.services.FieldInfo("ch_v0_3_1", "ch_v0_3_1", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_2_4", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_2_4");
					this.fieldInfos[11] =new egl.eglx.services.FieldInfo("ch_v0_2_4", "ch_v0_2_4", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_2_3", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_2_3");
					this.fieldInfos[12] =new egl.eglx.services.FieldInfo("ch_v0_2_3", "ch_v0_2_3", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_2_2", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_2_2");
					this.fieldInfos[13] =new egl.eglx.services.FieldInfo("ch_v0_2_2", "ch_v0_2_2", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_2_1", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_2_1");
					this.fieldInfos[14] =new egl.eglx.services.FieldInfo("ch_v0_2_1", "ch_v0_2_1", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("ch_v0_1_1", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("ch_v0_1_1");
					this.fieldInfos[15] =new egl.eglx.services.FieldInfo("ch_v0_1_1", "ch_v0_1_1", "org.eclipse.edt.rui.widgets.HTML", egl.org.eclipse.edt.rui.widgets.HTML, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("automaticRefresh", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("automaticRefresh");
					this.fieldInfos[16] =new egl.eglx.services.FieldInfo("automaticRefresh", "automaticRefresh", "0;", Boolean, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("showConfirmation", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("showConfirmation");
					this.fieldInfos[17] =new egl.eglx.services.FieldInfo("showConfirmation", "showConfirmation", "0;", Boolean, annotations);
					annotations = {};
					annotations["XMLStyle"] = new egl.eglx.xml.binding.annotation.XMLElement("resizeCount", null, false, false);
					annotations["JsonName"] = new egl.eglx.json.JsonName("resizeCount");
					this.fieldInfos[18] =new egl.eglx.services.FieldInfo("resizeCount", "resizeCount", "I;", Number, annotations);
				}
				return this.fieldInfos;
			}
			,
			"start": function() {
				egl.client.BrowserLib['$inst'].setOnbeforeUnload(egl.checkNull(new egl.egl.jsrt.Delegate(this, egl.client.BrowserSample.prototype.closeBrowser, "")));
				egl.client.BrowserLib['$inst'].setOnresize(new egl.egl.jsrt.Delegate(this, egl.client.BrowserSample.prototype.resize, ""));
			}
			,
			"manualRefresh_onClick": function(event) {
				this.info.refresh();
			}
			,
			"autoRefresh_onClick": function(e) {
				if (this.automaticRefresh) {
					this.autoRefresh.setText(egl.client.BrowserSampleMessages['$inst'].AutoRefreshOff);
					this.automaticRefresh = false;
				}
				else {
					this.autoRefresh.setText(egl.client.BrowserSampleMessages['$inst'].AutoRefreshOn);
					this.automaticRefresh = true;
				}
			}
			,
			"onClose_onClick": function(event) {
				if (this.showConfirmation) {
					this.onClose.setText(egl.client.BrowserSampleMessages['$inst'].ButtonShowConfirmation);
					this.onCloseMessage.setText(egl.client.BrowserSampleMessages['$inst'].OnCloseDoNotShowConfirmation);
					this.showConfirmation = false;
				}
				else {
					this.onClose.setText(egl.client.BrowserSampleMessages['$inst'].ButtonDoNotShowConfirmation);
					this.onCloseMessage.setText(egl.client.BrowserSampleMessages['$inst'].OnCloseShowConfirmation);
					this.showConfirmation = true;
				}
			}
			,
			"closeBrowser": function() {
				if (this.showConfirmation) {
					return "Close Browser Sample Application?";
				}
				else {
					return null;
				}
			}
			,
			"resize": function() {
				this.resizeCount = ((this.resizeCount + 1));
				this.onResizeMessage.setText((((("Resizing has occurred ") + egl.eglx.lang.convert(egl.eglx.lang.EString.fromEInt32, [this.resizeCount]))) + " times"));
				if (this.automaticRefresh) {
					this.info.refresh();
				}
			}
			,
			"toString": function() {
				return "[BrowserSample]";
			}
		}
	);
});
